PHP 7 WordPress

Kötelező a PHP 7 frissítés?

Gyorsabb, optimálisabb weboldalak készíthetők

PHP 7 WordPress
A PHP 7 alatt gyorsabban működik a WordPress honlap is.

December 31-től megszűnik a korábbi PHP verziók támogatása, ezért a WordPress oldalakat készítők számára is ajánlatos elgondolkodni a frissítésen a 7-es verzióra. A webes, szoftveres környezetben mindig hatalmas problémát jelent, amikor egy alapvető programot, rendszert kell frissíteni. Nagyon ritka az, hogy minden zökkenőmentes legyen és tökéletesen működjön.

Én a frissítsünk mindent híve vagyok, még akkor is, ha csak béta verzió érhető el, azonban a netes jelenlét esetében ez nem olyan egyszerű, hiszen elég egy apró hiba és az oldal elérhetetlen lesz, szétesik a megjelenés.

A PHP egy általános szerveroldali szkriptnyelv dinamikus weblapok készítésére. … A hagyományos HTML lapokkal ellentétben a kiszolgáló a PHP-kódot nem küldi el az ügyfélnek, hanem a kiszolgáló oldalán a PHP-értelmező motor dolgozza fel azt.

Miért nem váltanak a programozók?

A weboldalak jelentős része, egyes mérések szerint több mint 60 százaléka PHP 5-öt illetve ennek valamely verzióját használja. A váltáskor, frissítéskor egyes elemek, programrészek helytelenül működhetnek, ami „fölösleges” munkát adna a programozóknak, ezért nem nyúlnak hozzá.

Vegyünk egy egyszerű esetet. A webmester elkészíti a weboldalt, megkapja érte a fizetséget és szerény éves díj fejében saját tárhelyén üzemelteti azt. Ilyenkor a PHP 7-es frissítéskor előfordulhat, hogy valamilyen kompatibilitási hiba lép fel, melynek kiküszöbölésének munkadíját nehéz lenne a megrendelő nyakába varrni, hiszen ő egy működő oldalt kért, amiért tisztességesen megfizette a programozót. Világos tehát, hogy a honlapkészítők miért nem erőltetik a frissítést.

PHP honlap optimalizálás
PHP optimalizálás

A PHP 7 frissítés előnyei és hátrányai

Mivel az év végi támogatásmegvonást követően az alacsonyabb verziók sebezhetővé válnak a támadásokkal szemben, ezért különösen a webshopok működtetőinek lenne érdekük a gyors váltás. Természetesen a bonyolult webshop-kódok kompatibilitása hordozza magában a legnagyobb veszély, nem elképzelhetetlen a fennakadás.

A legtöbb weboldal készítő észrevette már, hogy egyes pluginek nem működnek megfelelően a régebbi PHP alatt. Már egy ideje PHP 5.6 volt a minimum követelmény, de 2019-ben már ez alatt sem fog minden működni, a sebezhetőség pedig egyértelműen a váltás felé irányít.

Honlapoptimalizálás és weboldal gyorsítás

A PHP7 elkészítésekor a fő csapásirány a weboldalak sebességének növelése volt, ami különösen a szerverek terhelésének csökkenésében lesz érezhető. Az új kódstruktúra gyorsabb elérést eredményez, amit a Google is szorgalmaz, díjaz. A frissítés után elvileg előrébb kerülhetnek az oldalak a keresőlistában, természetesen csak akkor és addig, amíg a teljes netársadalom át nem áll.

Véleményem szerint a gyors váltással szerzett előnyök megmaradnak akkor is, ha a konkurencia is vált.
Korábban azért nem váltottak PHP 7-re, mert nem tűnt stabilnak, azonban mostanra, a 7.2-es verzió már elég jónak tűnik.

Hogyan, hol váltsak PHP 7-re?

Ha kérdezned kell, valószínűleg jobb, ha sehol sem teszed. Egyébként a C-panelen lehet, de a szolgáltatónak írt levél gyakran célravezetőbb és biztonságosabb.

Összegezve tehát nem kötelező váltani, azonban javallott, különösen az új oldalak elkészítése előtt. A webmesterek számára megoldás lehet, hogy egyes tárhelyeken lehetőség van domainenként beállítani a futtatott PHP verziót, így a régebbi oldalak is működőképesek maradnak, az újabbak pedig már a korszerű környezetben futnak.

Kompatibilis a WordPress weboldalam a PHP 7-rs verzióval?

Ezt csak a frissítés után fogod 100%-ig megtudni, de érdemes lehet telepíteni a https://wordpress.org/plugins/php-compatibility-checker/ bővítményt, mely ellenőrzi az oldalad alkalmasságát.

Ne felejtsünk el biztonsági mentést készíteni a verzióváltás előtt, hátha…

Olvasd tovább az optimalizált posztot